Bug 197826 - Review Request: perl-IO-Socket-SSL
Summary: Review Request: perl-IO-Socket-SSL
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 197827
Blocks: FC-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-07-06 17:48 UTC by Warren Togami
Modified: 2013-01-10 01:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-18 17:07:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Warren Togami 2006-07-06 17:48:26 UTC
Spec URL: http://togami.com/~warren/fedora/perl-IO-Socket-SSL.spec
SRPM URL: http://togami.com/~warren/fedora/perl-IO-Socket-SSL-0.97-1.src.rpm
Description: Nearly transparent SSL encapsulation for IO::Socket::INET 

Spamasssasin requires this for SSL encryption between spamc and spamd.

This also requires the inclusion of perl-Net-SSLeay currently in Extras.

Comment 1 Jesse Keating 2006-07-10 18:15:48 UTC
NEEDSWORK:
- Noarch package, so OPTIMIZE not needed, ditto removing .bs files
- BuildRequires should be perl(NET::SSLeay) not the package name.

rpmlint only has one warning:
W: perl-IO-Socket-SSL file-not-utf8 /usr/share/man/man3/IO::Socket::SSL.3pm.gz

Comment 2 Ville Skyttä 2006-07-10 18:29:14 UTC
This package is already in Extras, maintained by jpo, and that version has the
reported issues fixed as well as some other enhancements over the submitted one.
 The release tag in this one would also cause a broken upgrade path.

Comment 3 Jesse Keating 2006-07-10 19:07:36 UTC
Warren, please update to the Extras version of the package for this review.

Ville, we need to bring this package into Core for spamassassin to support ipv6
and ssl communication.

Comment 4 Ville Skyttä 2006-07-10 19:38:56 UTC
Yep, noticed.

Comment 6 Jesse Keating 2006-07-14 20:11:37 UTC
Looks good.  approving.

Adding to dist.

Comment 7 Jesse Keating 2006-07-18 17:07:29 UTC
Was built into rawhide.

Comment 8 Jose Pedro Oliveira 2006-07-18 17:50:38 UTC
Warren,

Could you update IO::Socket::SSL to version 0.991?
http://search.cpan.org/dist/IO-Socket-SSL/

Tia,
jpo

PS - Still no Fedora Core bugzilla component.


Note You need to log in before you can comment on or make changes to this bug.